Delete Ad Trigger
Deletes a single queued trigger from both beanstalkd and the database.
curl -X DELETE "https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/trigger/123" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "DELETE"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/trigger/123"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "DELETE"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/trigger/123", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "DELETE"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "DELETE"
}`)
req, err := http.NewRequest("DELETE", "https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/trigger/123", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/scheduledplaylist/123/adinsertion/trigger/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "DELETE"
}'
response = http.request(request)
puts response.body
{
"result": "success"
}
{
"result": "error",
"message": "Descriptive error message."
}
/streams/scheduledplaylist/{streamid}/adinsertion/trigger/{triggerid}Target server for requests. Edit to use your own host.
API key (sent in header)
Numeric stream ID.
Numeric trigger ID.
The media type of the request body
HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Numeric stream ID.
Numeric trigger ID.
Body
HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.
DELETEResponses
Status of the API response.
successerrorHuman-readable message describing the result.